classification
Title: sqlite3 test typo
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ghaering Nosy List: eric.araujo, ezio.melotti, ghaering, petri.lehtinen, poq, python-dev, r.david.murray, sandro.tosi, tomspur
Priority: normal Keywords: needs review, patch

Created on 2012-02-03 18:44 by poq, last changed 2013-01-11 16:22 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite3-test-hooks.patch poq, 2012-02-03 18:44 review
sqlite3-version-doc.patch poq, 2012-05-16 18:53 review
sqlite3-test-hooks.v2.patch poq, 2012-05-17 09:45 review
Messages (11)
msg152548 - (view) Author: (poq) Date: 2012-02-03 18:44
The test CheckCollationIsUsed in Lib/sqlite3/test/hooks.py never runs because it checks the wrong version tuple. Patch attached.
msg157274 - (view) Author: Thomas Spura (tomspur) Date: 2012-04-01 11:10
It might be good to add some documentation to the sqlite3 module and describe that version_info is only the PYSQLITE_VERSION and not the version of the sqlite library.
msg159159 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-04-24 15:22
poq, would you like to also prepare a patch for the documentation with what Thomas suggested? I'd be happy to review when ready
msg160916 - (view) Author: (poq) Date: 2012-05-16 18:53
Sure, why not. Here you go.
msg160943 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-17 00:17
Thanks!  The code patch should use unittest.skip instead of return (even if the rest of the file uses return, we can improve that one step at a time).
msg160957 - (view) Author: (poq) Date: 2012-05-17 09:45
Now with proper skipping.
msg161371 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-05-22 18:56
Both patches LGTM.
msg161446 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-05-23 18:17
poq: I see you have submitted a few other patches to the tracker, too. For us to be able to use your patches, you should sign the PSF Contributor Agreement as described here: http://www.python.org/psf/contrib/.
msg179611 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-11 01:23
New changeset b8b26feb3e1a by R David Murray in branch '3.2':
#13934: document sqlite version strings, use correct one in test.
http://hg.python.org/cpython/rev/b8b26feb3e1a

New changeset cdf9142a0c84 by R David Murray in branch '3.3':
merge #13934: document sqlite version strings, use correct one in test.
http://hg.python.org/cpython/rev/cdf9142a0c84

New changeset aef7db0d3893 by R David Murray in branch 'default':
merge #13934: document sqlite version strings, use correct one in test.
http://hg.python.org/cpython/rev/aef7db0d3893

New changeset 315949b1842e by R David Murray in branch '2.7':
#13934: document sqlite version strings.
http://hg.python.org/cpython/rev/315949b1842e
msg179612 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-01-11 01:25
These patches are small enough a contributor agreement is not required, but it would still be great if you would submit one, poq.
msg179697 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2013-01-11 16:22
Thanks for the report and patches!
History
Date User Action Args
2013-01-11 16:22:58eric.araujosetresolution: fixed
messages: + msg179697
2013-01-11 01:25:43r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg179612

stage: patch review -> resolved
2013-01-11 01:23:21python-devsetnosy: + python-dev
messages: + msg179611
2012-05-23 18:17:40petri.lehtinensetmessages: + msg161446
2012-05-22 18:56:57petri.lehtinensetnosy: + petri.lehtinen
messages: + msg161371
2012-05-17 09:45:32poqsetfiles: + sqlite3-test-hooks.v2.patch

messages: + msg160957
2012-05-17 00:17:07eric.araujosetnosy: + eric.araujo
messages: + msg160943
2012-05-16 18:53:43poqsetfiles: + sqlite3-version-doc.patch

messages: + msg160916
2012-04-27 07:06:02ezio.melottisetnosy: + ezio.melotti
2012-04-24 15:22:53sandro.tosisetnosy: + sandro.tosi
messages: + msg159159
2012-04-01 11:10:45tomspursetnosy: + tomspur
messages: + msg157274
2012-02-04 07:18:18eric.araujosetversions: + Python 2.7, Python 3.2
nosy: + ghaering

assignee: ghaering
keywords: + needs review
stage: patch review
2012-02-03 18:44:20poqcreate